Calculate unit conversions for the requested partner products

Path Parameters
  • partnerId
    Type: stringFormat: uuid
    required
Body·
application/json
  • conversions
    Type: array object[] ·
Responses
  • application/json
Request Example for post/v1/partners/{partnerId}/products/convert-units
curl https://api.consignlyhq.com/v1/partners/123e4567-e89b-12d3-a456-426614174000/products/convert-units \
  --request POST \
  --header 'Content-Type: application/json' \
  --data '{
  "conversions": [
    {
      "id": null,
      "code": null,
      "inputMetricType": "enum (Item = 1, VirtualPallet = 2, UnitType = 3)",
      "inputQuantity": 1,
      "inputUnitTypeId": null,
      "metricResolution": "enum (Compound = 1, Cascade = 2)"
    }
  ]
}'
{
  "results": [
    {
      "code": null,
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "inputQuantity": 1,
      "metrics": [
        {
          "metricType": "enum (Item = 1, VirtualPallet = 2, UnitType = 3)",
          "unitType": null,
          "unitTypeId": null,
          "value": 1
        }
      ]
    }
  ]
}